@charset "UTF-8";

.filter {
    display: flex;
    gap: 12px;
    margin-bottom: 30px;
    padding-left: 20px;
    justify-content: flex-start;
    flex-wrap: wrap;
}

.filter__input {
    position: absolute;
    height: 1px;
    width: 1px;
    overflow: hidden;
    clip-path: inset(50%);
}

.filter__label {
    --filter-color: var(--color-filter-default);
    position: relative;
    display: inline-flex;
    align-items: center;
    text-align: center;
    border: 2px solid var(--filter-color);
    border-radius: 9999px;
    padding: 8px 16px 8px 35px;
    color: var(--filter-color);
    min-height: 38px;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
    transition: all 0.2s ease;
}

/* 外側の丸 */
.filter__label::before {
    content: "";
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: solid 2px currentColor;
    box-sizing: border-box;
    transition: all 0.15s ease;
}

/* 中の丸 */
.filter__label::after {
    content: '';
    position: absolute;
    /* (外枠20px - 中身12px) / 2 + left10px = 14px */
    top: 50%;
    left: 14px;
    width: 12px;
    height: 12px;
    background-color: currentColor;
    border-radius: 50%;
    transform: translateY(-50%) scale(0);
    transition: transform 0.15s cubic-bezier(0.215, 0.61, 0.355, 1);
    overflow: hidden;
}

/* チェックされた時の挙動 */
.filter__input:checked+.filter__label::after {
    transform: translateY(-50%) scale(1);
}

@media (max-width: 500px) {
    .filter {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 8px;
        padding: 0 15px;
    }

    .filter__label {
        width: 100%;
        justify-content: center;
        padding-left: 25px;
        font-size: 14px;
    }
}